Name:           mma
Version:        20.02
Release:        1%{?dist}
Summary:        MMA—Musical MIDI Accompaniment, an accompaniment generator

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.mellowood.ca/mma/
Source0:        http://www.mellowood.ca/mma/mma-bin-%{version}.tar.gz
# Source0:        http://www.mellowood.ca/mma/mma-devl.%{version}.tar.gz
Patch0:         0001-Update-scripts-to-use-usr-bin-python3.patch
Patch1:         0002-Remove-backup-files.patch
Patch2:         0003-Try-to-use-XDG-package-to-find-user-paths-on-linux.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description
“MMA—Musical MIDI Accompaniment” is an accompaniment generator.
It creates MIDI tracks for a soloist to perform over from a user supplied file
containing chords and MMA directives.

MMA is very versatile and generates excellent tracks. It comes with an extensive
user-extendable library with a variety of patterns for various popular rhythms,
detailed user manuals, and several demo songs.

MMA is a command line driven program. It creates MIDI files which are then
played by a sequencer or MIDI file play program.

%prep
%autosetup -n %{name}-bin-%{version} -p1

%build

%install
%{__install} -D -m 755 mma.py %{buildroot}/%{_bindir}/mma

%{__install} -d -m 755 %{buildroot}/%{_datadir}/%{name}
%{__cp} --preserve=mode,timestamps -r lib %{buildroot}/%{_datadir}/%{name}
%{__cp} --preserve=mode,timestamps -r includes %{buildroot}/%{_datadir}/%{name}
%{__cp} --preserve=mode,timestamps -r MMA %{buildroot}/%{_datadir}/%{name}

%{__install} -D -m 644 -t %{buildroot}/%{_mandir}/man1 docs/man/*.1
%{__install} -D -m 644 -t %{buildroot}/%{_mandir}/man8 docs/man/*.8

%files
%doc text/ANNOUNCE text/BEATS-PATTERNS text/TIMIDITY text/FAQ text/CONTRIB text/COPYING text/SYNTHS text/CHANGES* text/REALTIME-FILTER text/FAKEBOOKS text/TODO text/ARTICULATE text/SLASHCHORDS text/ENCODINGS text/README docs/html
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%{_datadir}/%{name}/*
%{_bindir}/*

%post
%{_bindir}/mma -G

%changelog
* Mon Apr 13 2020 Olivier Samyn 🎻 <code@oleastre.be> - 20.02-1
- New upstream release

* Wed Sep 04 2019 Olivier Samyn 🎻 <code@oleastre.be> - 19.08-1
- New upstream release

* Fri Jul 12 2019 Olivier Samyn 🎻 <code@oleastre.be> - 19.07-1
- New upstream version

* Sat May 12 2018 Olivier Samyn <code@oleastre.be> - 16.06.b-1
- New upstream development version

* Sun Sep 11 2016 Olivier Samyn <code@oleastre.be> - 16.06.a-1
- Development version.

* Tue Aug 23 2016 Olivier Samyn <code@oleastre.be> - 16.06-1
- new version
